#pragma once
#include "Entity.h"
class AiStation;
//ai记录基类
class AiRecord :
    public Entity
{
public:
    AiRecord();
    void Step() override;
    void SetState(int stateID, int lr);
    std::vector<int> argbuff;
    std::vector<int> stationID;//属于哪个车站的
    bool decodeRecord = true;//解码记录
    std::vector<GameInput> record;
    std::weak_ptr<AiStation> parentStation;
};

